Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
MapLong2Long Struct Reference

## Public Member Functions
void | add (size_t n, const long *keys, const long *vals)
long | search (long key)
void | search_multiple (size_t n, const long *keys, long *vals)
void | add (size_t n, const long *keys, const long *vals)
long | search (long key)
void | search_multiple (size_t n, const long *keys, long *vals)

## Public Attributes
std::unordered_map< long, long > | map

## Detailed Description

Definition at line 4217 of file swigfaiss_gpu_wrap.cpp.

The documentation for this struct was generated from the following files:

- /tmp/faiss/python/swigfaiss_gpu_wrap.cpp
- /tmp/faiss/python/swigfaiss_wrap.cpp